Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network248.192.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
248.192.0.0
Broadcast address
248.223.255.255
First usable
248.192.0.1
Last usable
248.223.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F8C00000 · Integer 4173332480 to 4175429631
Reverse DNS zones
192.248.in-addr.arpa
193.248.in-addr.arpa
194.248.in-addr.arpa
195.248.in-addr.arpa
196.248.in-addr.arpa
197.248.in-addr.arpa
198.248.in-addr.arpa
199.248.in-addr.arpa
200.248.in-addr.arpa
201.248.in-addr.arpa
202.248.in-addr.arpa
203.248.in-addr.arpa
204.248.in-addr.arpa
205.248.in-addr.arpa
206.248.in-addr.arpa
207.248.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111000.11000000.00000000.00000000248.192.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network11111000.11000000.00000000.00000000248.192.0.0
Broadcast11111000.11011111.11111111.11111111248.223.255.255
Split into smaller subnets/23

248.192.0.0/11 makes 4,096 subnets of /23; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1248.192.0.0/23248.192.0.1 to 248.192.1.254248.192.1.255510
2248.192.2.0/23248.192.2.1 to 248.192.3.254248.192.3.255510
3248.192.4.0/23248.192.4.1 to 248.192.5.254248.192.5.255510
4248.192.6.0/23248.192.6.1 to 248.192.7.254248.192.7.255510
5248.192.8.0/23248.192.8.1 to 248.192.9.254248.192.9.255510
6248.192.10.0/23248.192.10.1 to 248.192.11.254248.192.11.255510
7248.192.12.0/23248.192.12.1 to 248.192.13.254248.192.13.255510
8248.192.14.0/23248.192.14.1 to 248.192.15.254248.192.15.255510
9248.192.16.0/23248.192.16.1 to 248.192.17.254248.192.17.255510
10248.192.18.0/23248.192.18.1 to 248.192.19.254248.192.19.255510
11248.192.20.0/23248.192.20.1 to 248.192.21.254248.192.21.255510
12248.192.22.0/23248.192.22.1 to 248.192.23.254248.192.23.255510
13248.192.24.0/23248.192.24.1 to 248.192.25.254248.192.25.255510
14248.192.26.0/23248.192.26.1 to 248.192.27.254248.192.27.255510
15248.192.28.0/23248.192.28.1 to 248.192.29.254248.192.29.255510
16248.192.30.0/23248.192.30.1 to 248.192.31.254248.192.31.255510
17248.192.32.0/23248.192.32.1 to 248.192.33.254248.192.33.255510
18248.192.34.0/23248.192.34.1 to 248.192.35.254248.192.35.255510
19248.192.36.0/23248.192.36.1 to 248.192.37.254248.192.37.255510
20248.192.38.0/23248.192.38.1 to 248.192.39.254248.192.39.255510
21248.192.40.0/23248.192.40.1 to 248.192.41.254248.192.41.255510
22248.192.42.0/23248.192.42.1 to 248.192.43.254248.192.43.255510
23248.192.44.0/23248.192.44.1 to 248.192.45.254248.192.45.255510
24248.192.46.0/23248.192.46.1 to 248.192.47.254248.192.47.255510
25248.192.48.0/23248.192.48.1 to 248.192.49.254248.192.49.255510
26248.192.50.0/23248.192.50.1 to 248.192.51.254248.192.51.255510
27248.192.52.0/23248.192.52.1 to 248.192.53.254248.192.53.255510
28248.192.54.0/23248.192.54.1 to 248.192.55.254248.192.55.255510
29248.192.56.0/23248.192.56.1 to 248.192.57.254248.192.57.255510
30248.192.58.0/23248.192.58.1 to 248.192.59.254248.192.59.255510
31248.192.60.0/23248.192.60.1 to 248.192.61.254248.192.61.255510
32248.192.62.0/23248.192.62.1 to 248.192.63.254248.192.63.255510
33248.192.64.0/23248.192.64.1 to 248.192.65.254248.192.65.255510
34248.192.66.0/23248.192.66.1 to 248.192.67.254248.192.67.255510
35248.192.68.0/23248.192.68.1 to 248.192.69.254248.192.69.255510
36248.192.70.0/23248.192.70.1 to 248.192.71.254248.192.71.255510
37248.192.72.0/23248.192.72.1 to 248.192.73.254248.192.73.255510
38248.192.74.0/23248.192.74.1 to 248.192.75.254248.192.75.255510
39248.192.76.0/23248.192.76.1 to 248.192.77.254248.192.77.255510
40248.192.78.0/23248.192.78.1 to 248.192.79.254248.192.79.255510
41248.192.80.0/23248.192.80.1 to 248.192.81.254248.192.81.255510
42248.192.82.0/23248.192.82.1 to 248.192.83.254248.192.83.255510
43248.192.84.0/23248.192.84.1 to 248.192.85.254248.192.85.255510
44248.192.86.0/23248.192.86.1 to 248.192.87.254248.192.87.255510
45248.192.88.0/23248.192.88.1 to 248.192.89.254248.192.89.255510
46248.192.90.0/23248.192.90.1 to 248.192.91.254248.192.91.255510
47248.192.92.0/23248.192.92.1 to 248.192.93.254248.192.93.255510
48248.192.94.0/23248.192.94.1 to 248.192.95.254248.192.95.255510
49248.192.96.0/23248.192.96.1 to 248.192.97.254248.192.97.255510
50248.192.98.0/23248.192.98.1 to 248.192.99.254248.192.99.255510
51248.192.100.0/23248.192.100.1 to 248.192.101.254248.192.101.255510
52248.192.102.0/23248.192.102.1 to 248.192.103.254248.192.103.255510
53248.192.104.0/23248.192.104.1 to 248.192.105.254248.192.105.255510
54248.192.106.0/23248.192.106.1 to 248.192.107.254248.192.107.255510
55248.192.108.0/23248.192.108.1 to 248.192.109.254248.192.109.255510
56248.192.110.0/23248.192.110.1 to 248.192.111.254248.192.111.255510
57248.192.112.0/23248.192.112.1 to 248.192.113.254248.192.113.255510
58248.192.114.0/23248.192.114.1 to 248.192.115.254248.192.115.255510
59248.192.116.0/23248.192.116.1 to 248.192.117.254248.192.117.255510
60248.192.118.0/23248.192.118.1 to 248.192.119.254248.192.119.255510
61248.192.120.0/23248.192.120.1 to 248.192.121.254248.192.121.255510
62248.192.122.0/23248.192.122.1 to 248.192.123.254248.192.123.255510
63248.192.124.0/23248.192.124.1 to 248.192.125.254248.192.125.255510
64248.192.126.0/23248.192.126.1 to 248.192.127.254248.192.127.255510
65248.192.128.0/23248.192.128.1 to 248.192.129.254248.192.129.255510
66248.192.130.0/23248.192.130.1 to 248.192.131.254248.192.131.255510
67248.192.132.0/23248.192.132.1 to 248.192.133.254248.192.133.255510
68248.192.134.0/23248.192.134.1 to 248.192.135.254248.192.135.255510
69248.192.136.0/23248.192.136.1 to 248.192.137.254248.192.137.255510
70248.192.138.0/23248.192.138.1 to 248.192.139.254248.192.139.255510
71248.192.140.0/23248.192.140.1 to 248.192.141.254248.192.141.255510
72248.192.142.0/23248.192.142.1 to 248.192.143.254248.192.143.255510
73248.192.144.0/23248.192.144.1 to 248.192.145.254248.192.145.255510
74248.192.146.0/23248.192.146.1 to 248.192.147.254248.192.147.255510
75248.192.148.0/23248.192.148.1 to 248.192.149.254248.192.149.255510
76248.192.150.0/23248.192.150.1 to 248.192.151.254248.192.151.255510
77248.192.152.0/23248.192.152.1 to 248.192.153.254248.192.153.255510
78248.192.154.0/23248.192.154.1 to 248.192.155.254248.192.155.255510
79248.192.156.0/23248.192.156.1 to 248.192.157.254248.192.157.255510
80248.192.158.0/23248.192.158.1 to 248.192.159.254248.192.159.255510
81248.192.160.0/23248.192.160.1 to 248.192.161.254248.192.161.255510
82248.192.162.0/23248.192.162.1 to 248.192.163.254248.192.163.255510
83248.192.164.0/23248.192.164.1 to 248.192.165.254248.192.165.255510
84248.192.166.0/23248.192.166.1 to 248.192.167.254248.192.167.255510
85248.192.168.0/23248.192.168.1 to 248.192.169.254248.192.169.255510
86248.192.170.0/23248.192.170.1 to 248.192.171.254248.192.171.255510
87248.192.172.0/23248.192.172.1 to 248.192.173.254248.192.173.255510
88248.192.174.0/23248.192.174.1 to 248.192.175.254248.192.175.255510
89248.192.176.0/23248.192.176.1 to 248.192.177.254248.192.177.255510
90248.192.178.0/23248.192.178.1 to 248.192.179.254248.192.179.255510
91248.192.180.0/23248.192.180.1 to 248.192.181.254248.192.181.255510
92248.192.182.0/23248.192.182.1 to 248.192.183.254248.192.183.255510
93248.192.184.0/23248.192.184.1 to 248.192.185.254248.192.185.255510
94248.192.186.0/23248.192.186.1 to 248.192.187.254248.192.187.255510
95248.192.188.0/23248.192.188.1 to 248.192.189.254248.192.189.255510
96248.192.190.0/23248.192.190.1 to 248.192.191.254248.192.191.255510
97248.192.192.0/23248.192.192.1 to 248.192.193.254248.192.193.255510
98248.192.194.0/23248.192.194.1 to 248.192.195.254248.192.195.255510
99248.192.196.0/23248.192.196.1 to 248.192.197.254248.192.197.255510
100248.192.198.0/23248.192.198.1 to 248.192.199.254248.192.199.255510
101248.192.200.0/23248.192.200.1 to 248.192.201.254248.192.201.255510
102248.192.202.0/23248.192.202.1 to 248.192.203.254248.192.203.255510
103248.192.204.0/23248.192.204.1 to 248.192.205.254248.192.205.255510
104248.192.206.0/23248.192.206.1 to 248.192.207.254248.192.207.255510
105248.192.208.0/23248.192.208.1 to 248.192.209.254248.192.209.255510
106248.192.210.0/23248.192.210.1 to 248.192.211.254248.192.211.255510
107248.192.212.0/23248.192.212.1 to 248.192.213.254248.192.213.255510
108248.192.214.0/23248.192.214.1 to 248.192.215.254248.192.215.255510
109248.192.216.0/23248.192.216.1 to 248.192.217.254248.192.217.255510
110248.192.218.0/23248.192.218.1 to 248.192.219.254248.192.219.255510
111248.192.220.0/23248.192.220.1 to 248.192.221.254248.192.221.255510
112248.192.222.0/23248.192.222.1 to 248.192.223.254248.192.223.255510
113248.192.224.0/23248.192.224.1 to 248.192.225.254248.192.225.255510
114248.192.226.0/23248.192.226.1 to 248.192.227.254248.192.227.255510
115248.192.228.0/23248.192.228.1 to 248.192.229.254248.192.229.255510
116248.192.230.0/23248.192.230.1 to 248.192.231.254248.192.231.255510
117248.192.232.0/23248.192.232.1 to 248.192.233.254248.192.233.255510
118248.192.234.0/23248.192.234.1 to 248.192.235.254248.192.235.255510
119248.192.236.0/23248.192.236.1 to 248.192.237.254248.192.237.255510
120248.192.238.0/23248.192.238.1 to 248.192.239.254248.192.239.255510
121248.192.240.0/23248.192.240.1 to 248.192.241.254248.192.241.255510
122248.192.242.0/23248.192.242.1 to 248.192.243.254248.192.243.255510
123248.192.244.0/23248.192.244.1 to 248.192.245.254248.192.245.255510
124248.192.246.0/23248.192.246.1 to 248.192.247.254248.192.247.255510
125248.192.248.0/23248.192.248.1 to 248.192.249.254248.192.249.255510
126248.192.250.0/23248.192.250.1 to 248.192.251.254248.192.251.255510
127248.192.252.0/23248.192.252.1 to 248.192.253.254248.192.253.255510
128248.192.254.0/23248.192.254.1 to 248.192.255.254248.192.255.255510
129248.193.0.0/23248.193.0.1 to 248.193.1.254248.193.1.255510
130248.193.2.0/23248.193.2.1 to 248.193.3.254248.193.3.255510
131248.193.4.0/23248.193.4.1 to 248.193.5.254248.193.5.255510
132248.193.6.0/23248.193.6.1 to 248.193.7.254248.193.7.255510
133248.193.8.0/23248.193.8.1 to 248.193.9.254248.193.9.255510
134248.193.10.0/23248.193.10.1 to 248.193.11.254248.193.11.255510
135248.193.12.0/23248.193.12.1 to 248.193.13.254248.193.13.255510
136248.193.14.0/23248.193.14.1 to 248.193.15.254248.193.15.255510
137248.193.16.0/23248.193.16.1 to 248.193.17.254248.193.17.255510
138248.193.18.0/23248.193.18.1 to 248.193.19.254248.193.19.255510
139248.193.20.0/23248.193.20.1 to 248.193.21.254248.193.21.255510
140248.193.22.0/23248.193.22.1 to 248.193.23.254248.193.23.255510
141248.193.24.0/23248.193.24.1 to 248.193.25.254248.193.25.255510
142248.193.26.0/23248.193.26.1 to 248.193.27.254248.193.27.255510
143248.193.28.0/23248.193.28.1 to 248.193.29.254248.193.29.255510
144248.193.30.0/23248.193.30.1 to 248.193.31.254248.193.31.255510
145248.193.32.0/23248.193.32.1 to 248.193.33.254248.193.33.255510
146248.193.34.0/23248.193.34.1 to 248.193.35.254248.193.35.255510
147248.193.36.0/23248.193.36.1 to 248.193.37.254248.193.37.255510
148248.193.38.0/23248.193.38.1 to 248.193.39.254248.193.39.255510
149248.193.40.0/23248.193.40.1 to 248.193.41.254248.193.41.255510
150248.193.42.0/23248.193.42.1 to 248.193.43.254248.193.43.255510
151248.193.44.0/23248.193.44.1 to 248.193.45.254248.193.45.255510
152248.193.46.0/23248.193.46.1 to 248.193.47.254248.193.47.255510
153248.193.48.0/23248.193.48.1 to 248.193.49.254248.193.49.255510
154248.193.50.0/23248.193.50.1 to 248.193.51.254248.193.51.255510
155248.193.52.0/23248.193.52.1 to 248.193.53.254248.193.53.255510
156248.193.54.0/23248.193.54.1 to 248.193.55.254248.193.55.255510
157248.193.56.0/23248.193.56.1 to 248.193.57.254248.193.57.255510
158248.193.58.0/23248.193.58.1 to 248.193.59.254248.193.59.255510
159248.193.60.0/23248.193.60.1 to 248.193.61.254248.193.61.255510
160248.193.62.0/23248.193.62.1 to 248.193.63.254248.193.63.255510
161248.193.64.0/23248.193.64.1 to 248.193.65.254248.193.65.255510
162248.193.66.0/23248.193.66.1 to 248.193.67.254248.193.67.255510
163248.193.68.0/23248.193.68.1 to 248.193.69.254248.193.69.255510
164248.193.70.0/23248.193.70.1 to 248.193.71.254248.193.71.255510
165248.193.72.0/23248.193.72.1 to 248.193.73.254248.193.73.255510
166248.193.74.0/23248.193.74.1 to 248.193.75.254248.193.75.255510
167248.193.76.0/23248.193.76.1 to 248.193.77.254248.193.77.255510
168248.193.78.0/23248.193.78.1 to 248.193.79.254248.193.79.255510
169248.193.80.0/23248.193.80.1 to 248.193.81.254248.193.81.255510
170248.193.82.0/23248.193.82.1 to 248.193.83.254248.193.83.255510
171248.193.84.0/23248.193.84.1 to 248.193.85.254248.193.85.255510
172248.193.86.0/23248.193.86.1 to 248.193.87.254248.193.87.255510
173248.193.88.0/23248.193.88.1 to 248.193.89.254248.193.89.255510
174248.193.90.0/23248.193.90.1 to 248.193.91.254248.193.91.255510
175248.193.92.0/23248.193.92.1 to 248.193.93.254248.193.93.255510
176248.193.94.0/23248.193.94.1 to 248.193.95.254248.193.95.255510
177248.193.96.0/23248.193.96.1 to 248.193.97.254248.193.97.255510
178248.193.98.0/23248.193.98.1 to 248.193.99.254248.193.99.255510
179248.193.100.0/23248.193.100.1 to 248.193.101.254248.193.101.255510
180248.193.102.0/23248.193.102.1 to 248.193.103.254248.193.103.255510
181248.193.104.0/23248.193.104.1 to 248.193.105.254248.193.105.255510
182248.193.106.0/23248.193.106.1 to 248.193.107.254248.193.107.255510
183248.193.108.0/23248.193.108.1 to 248.193.109.254248.193.109.255510
184248.193.110.0/23248.193.110.1 to 248.193.111.254248.193.111.255510
185248.193.112.0/23248.193.112.1 to 248.193.113.254248.193.113.255510
186248.193.114.0/23248.193.114.1 to 248.193.115.254248.193.115.255510
187248.193.116.0/23248.193.116.1 to 248.193.117.254248.193.117.255510
188248.193.118.0/23248.193.118.1 to 248.193.119.254248.193.119.255510
189248.193.120.0/23248.193.120.1 to 248.193.121.254248.193.121.255510
190248.193.122.0/23248.193.122.1 to 248.193.123.254248.193.123.255510
191248.193.124.0/23248.193.124.1 to 248.193.125.254248.193.125.255510
192248.193.126.0/23248.193.126.1 to 248.193.127.254248.193.127.255510
193248.193.128.0/23248.193.128.1 to 248.193.129.254248.193.129.255510
194248.193.130.0/23248.193.130.1 to 248.193.131.254248.193.131.255510
195248.193.132.0/23248.193.132.1 to 248.193.133.254248.193.133.255510
196248.193.134.0/23248.193.134.1 to 248.193.135.254248.193.135.255510
197248.193.136.0/23248.193.136.1 to 248.193.137.254248.193.137.255510
198248.193.138.0/23248.193.138.1 to 248.193.139.254248.193.139.255510
199248.193.140.0/23248.193.140.1 to 248.193.141.254248.193.141.255510
200248.193.142.0/23248.193.142.1 to 248.193.143.254248.193.143.255510
201248.193.144.0/23248.193.144.1 to 248.193.145.254248.193.145.255510
202248.193.146.0/23248.193.146.1 to 248.193.147.254248.193.147.255510
203248.193.148.0/23248.193.148.1 to 248.193.149.254248.193.149.255510
204248.193.150.0/23248.193.150.1 to 248.193.151.254248.193.151.255510
205248.193.152.0/23248.193.152.1 to 248.193.153.254248.193.153.255510
206248.193.154.0/23248.193.154.1 to 248.193.155.254248.193.155.255510
207248.193.156.0/23248.193.156.1 to 248.193.157.254248.193.157.255510
208248.193.158.0/23248.193.158.1 to 248.193.159.254248.193.159.255510
209248.193.160.0/23248.193.160.1 to 248.193.161.254248.193.161.255510
210248.193.162.0/23248.193.162.1 to 248.193.163.254248.193.163.255510
211248.193.164.0/23248.193.164.1 to 248.193.165.254248.193.165.255510
212248.193.166.0/23248.193.166.1 to 248.193.167.254248.193.167.255510
213248.193.168.0/23248.193.168.1 to 248.193.169.254248.193.169.255510
214248.193.170.0/23248.193.170.1 to 248.193.171.254248.193.171.255510
215248.193.172.0/23248.193.172.1 to 248.193.173.254248.193.173.255510
216248.193.174.0/23248.193.174.1 to 248.193.175.254248.193.175.255510
217248.193.176.0/23248.193.176.1 to 248.193.177.254248.193.177.255510
218248.193.178.0/23248.193.178.1 to 248.193.179.254248.193.179.255510
219248.193.180.0/23248.193.180.1 to 248.193.181.254248.193.181.255510
220248.193.182.0/23248.193.182.1 to 248.193.183.254248.193.183.255510
221248.193.184.0/23248.193.184.1 to 248.193.185.254248.193.185.255510
222248.193.186.0/23248.193.186.1 to 248.193.187.254248.193.187.255510
223248.193.188.0/23248.193.188.1 to 248.193.189.254248.193.189.255510
224248.193.190.0/23248.193.190.1 to 248.193.191.254248.193.191.255510
225248.193.192.0/23248.193.192.1 to 248.193.193.254248.193.193.255510
226248.193.194.0/23248.193.194.1 to 248.193.195.254248.193.195.255510
227248.193.196.0/23248.193.196.1 to 248.193.197.254248.193.197.255510
228248.193.198.0/23248.193.198.1 to 248.193.199.254248.193.199.255510
229248.193.200.0/23248.193.200.1 to 248.193.201.254248.193.201.255510
230248.193.202.0/23248.193.202.1 to 248.193.203.254248.193.203.255510
231248.193.204.0/23248.193.204.1 to 248.193.205.254248.193.205.255510
232248.193.206.0/23248.193.206.1 to 248.193.207.254248.193.207.255510
233248.193.208.0/23248.193.208.1 to 248.193.209.254248.193.209.255510
234248.193.210.0/23248.193.210.1 to 248.193.211.254248.193.211.255510
235248.193.212.0/23248.193.212.1 to 248.193.213.254248.193.213.255510
236248.193.214.0/23248.193.214.1 to 248.193.215.254248.193.215.255510
237248.193.216.0/23248.193.216.1 to 248.193.217.254248.193.217.255510
238248.193.218.0/23248.193.218.1 to 248.193.219.254248.193.219.255510
239248.193.220.0/23248.193.220.1 to 248.193.221.254248.193.221.255510
240248.193.222.0/23248.193.222.1 to 248.193.223.254248.193.223.255510
241248.193.224.0/23248.193.224.1 to 248.193.225.254248.193.225.255510
242248.193.226.0/23248.193.226.1 to 248.193.227.254248.193.227.255510
243248.193.228.0/23248.193.228.1 to 248.193.229.254248.193.229.255510
244248.193.230.0/23248.193.230.1 to 248.193.231.254248.193.231.255510
245248.193.232.0/23248.193.232.1 to 248.193.233.254248.193.233.255510
246248.193.234.0/23248.193.234.1 to 248.193.235.254248.193.235.255510
247248.193.236.0/23248.193.236.1 to 248.193.237.254248.193.237.255510
248248.193.238.0/23248.193.238.1 to 248.193.239.254248.193.239.255510
249248.193.240.0/23248.193.240.1 to 248.193.241.254248.193.241.255510
250248.193.242.0/23248.193.242.1 to 248.193.243.254248.193.243.255510
251248.193.244.0/23248.193.244.1 to 248.193.245.254248.193.245.255510
252248.193.246.0/23248.193.246.1 to 248.193.247.254248.193.247.255510
253248.193.248.0/23248.193.248.1 to 248.193.249.254248.193.249.255510
254248.193.250.0/23248.193.250.1 to 248.193.251.254248.193.251.255510
255248.193.252.0/23248.193.252.1 to 248.193.253.254248.193.253.255510
256248.193.254.0/23248.193.254.1 to 248.193.255.254248.193.255.255510

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses